Bug 1147838 - jenkins: missing core plugins
Summary: jenkins: missing core plugins
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: jenkins
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Srb
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-30 07:49 UTC by Michal Srb
Modified: 2016-07-19 12:10 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-07-19 12:10:54 UTC


Attachments (Terms of Use)

Description Michal Srb 2014-09-30 07:49:44 UTC
Description of problem:

Jenkins upstream bundles several plugins which used to be part of jenkins core. Fedora should do the same.

Upstream WAR file contains:
ant.hpi
antisamy-markup-formatter.hpi
credentials.hpi
cvs.hpi
external-monitor-job.hpi
javadoc.hpi
junit.hpi
ldap.hpi
mailer.hpi
matrix-auth.hpi
matrix-project.hpi
maven-plugin.hpi
pam-auth.hpi
ssh-credentials.hpi
ssh-slaves.hpi
subversion.hpi
translation.hpi
windows-slaves.hpi

Comment 1 Fedora End Of Life 2015-11-04 15:49:22 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2015-12-02 04:03:07 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 3 Fedora End Of Life 2016-07-19 12:10:54 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.